
export function isApiError(obj: unknown): obj is ApiError {
  return (
    typeof obj === "object" &&
    obj !== null &&
    "status" in obj &&
    typeof (obj as { status?: unknown }).status === "number" &&
    "message" in obj &&
    typeof (obj as { message?: unknown }).message === "string"
  );
}

export interface ApiError {
  status: number;
  message: string;
}
